Skip to content

Export Run Result

Method: POST

Endpoint: /api/v1/run/result/export

Send the request body with Content-Type: application/json.

POST/api/v1/run/result/exportExport run results
Required

Stored only in this browser tab. Sent only to https://openapi.coreclaw.com.

BodyRequiredapplication/json
FieldTypeRequiredDescription
run_slugstringyesRun slug whose results should be exported.
filter_keysstring[]yesOptional list of field keys to keep in the export. Use `[]` to export all fields.
formatenum (2)yesExport file format.
Request body (JSON)
{
"run_slug": "YOUR_RUN_SLUG",
"filter_keys": [],
"format": "csv"
}
ParameterExampleTypeRequiredDescription
run_slugYOUR_RUN_SLUGStringYesUnique run identifier
filter_keys[]String[]YesFields to export. Use [] to export all fields
formatcsvStringYesExport format: csv or json
{
"code": 0,
"message": "success",
"data": {
"download_url": "https://..."
}
}
ParameterExampleTypeDescription
code0IntegerGlobal status code
messagesuccessStringResponse message
data-ObjectResponse payload
download_url-StringDownload URL for the export